=== debian/control ===
Source: libmtmalloc
Section: libs
Priority: optional
Maintainer: Igor Pashev <pashev.igor@gmail.com>
Build-Depends:
 dh-illumos,
 gcc-multilib,
 illumos-source-2.10,
 quilt,
 symlinks,
Standards-Version: 3.9.3
Homepage: https://www.illumos.org

Package: libmtmalloc1
Section: libs
Priority: standard
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Architecture: illumos-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multi-threaded memory allocator library
 This package contains libmtmalloc shared library.
 .
 Functions in this library provide concurrent access to heap space.

Package: libmtmalloc1-dev
Section: libdevel
Priority: optional
Architecture: illumos-any
Provides: libmtmalloc-dev
Depends: libmtmalloc1 (= ${binary:Version}), ${misc:Depends}, libc-dev
Description: multi-threaded memory allocator library (development files)
 This package contains the header files and symlinks needed
 to compile applications that use libmtmalloc.
 .
 The libmtmalloc library provides concurrent access to heap space.

Package: lib32mtmalloc1
Section: libs
Priority: standard
Architecture: illumos-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multi-threaded memory allocator library (32 bit)
 This package contains libmtmalloc shared library.
 .
 Functions in this library provide concurrent access to heap space.
 .
 This is a 32-bit version of the library.

Package: lib32mtmalloc1-dev
Section: libdevel
Priority: optional
Architecture: illumos-amd64
Provides: lib32mtmalloc-dev
Depends: lib32mtmalloc1 (= ${binary:Version}), libmtmalloc1-dev (= ${binary:Version}),
 ${misc:Depends}
Description: multi-threaded memory allocator library (32-bit development files)
 This package contains files needed to compile
 32-bit applications that use libmtmalloc.
 .
 The libmtmalloc library provides concurrent access to heap space.
